package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcTb;

/**
 * 通报Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
public interface TcTbMapper 
{
    /**
     * 查询通报
     * 
     * @param id 通报主键
     * @return 通报
     */
    public TcTb selectTcTbById(Long id);

    /**
     * 查询通报列表
     * 
     * @param tcTb 通报
     * @return 通报集合
     */
    public List<TcTb> selectTcTbList(TcTb tcTb);

    /**
     * 新增通报
     * 
     * @param tcTb 通报
     * @return 结果
     */
    public int insertTcTb(TcTb tcTb);

    /**
     * 修改通报
     * 
     * @param tcTb 通报
     * @return 结果
     */
    public int updateTcTb(TcTb tcTb);

    /**
     * 删除通报
     * 
     * @param id 通报主键
     * @return 结果
     */
    public int deleteTcTbById(Long id);

    /**
     * 批量删除通报
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcTbByIds(Long[] ids);
}
